package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.Area;
import cn.pluss.platform.leshua.LeshuaArea;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AreaMapper {

    LeshuaArea queryArea(Area area);

    List<LeshuaArea> queryAreaList(Area area);

    void saveArea(Area area);

    void updateArea(Area area);

    void deleteArea(Area area);

    List<LeshuaArea> queryAreaPage(Map map);

    Integer queryAreaPageCount(Map map);

    void saveAreaBatch(List<Area>  areaList);
}

